//
//  ProfileStatisticsCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 18/08/2025.
//

import SwiftUI

struct ProfileStatisticsCell: View {
    var body: some View {
        HStack {
            Spacer()
            VStack(spacing: 4) {
                HStack(spacing: 8) {
                    SQIcon(.user)
                    SQText("18 mars 2017")
                        .sqFont(.bold)
                }
                SQText("date d’inscription")
                    .sqSize(13)
            }
            Spacer()
            SQDivider()
                .frame(height: 55)
            Spacer()
            VStack(spacing: 4) {
                HStack(spacing: 8) {
                    SQIcon(.users)
                    SQText("-")
                        .sqFont(.bold)
                }
                SQText("mises en relation")
                    .sqSize(13)
            }
            Spacer()
        }
    }
}

#Preview {
    ProfileStatisticsCell()
        .padding()
}
